
// Copyright: Hans de Nivelle,
// Written December 2004.

// This file is part of Geo2007F.
//
// Geo 2007F is free software: You can distribute it and/or modify
// it under the terms of the GNU General Public License, Version 3,
// as published by the Free Software Foundation.
//
// Geo2007F is distributed in the hope that it will be useful, but 
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License 
// Version 3 along with Geo2007F. It not, see 
// < http://www.gnu.org/licenses/ >



#ifndef ASSERT_INCLUDED
#define ASSERT_INCLUDED    1


#include <assert.h>

// #define ASSERT( X ) { assert( ( X ) ); }
   // Do a system assert.

// #define ASSERT( X ) { ; }
   // Don't do asserts. 

#define ASSERT(X) { if(!(X)) { std::cout << "ASSERT-ERROR\n\n";assert((X)); }}
   // Usual ASSERT writes into std::error. This version writes an additional
   // message into std::cout, so that it can be redirected and
   // detected. 

#endif


